BEGIN {
    TRUE = 1
    FALSE = 0
    Doco = FALSE
    FormFeed = ""
}
    /(^\/\*\+|^\;\+)/ {         # "/*+" or ";+"
        Doco = TRUE
    }
    
     /(\-\*\/$|^\;\-$)/ {       # "-*/" or ";-"
        Doco = FALSE
        print
    }
    
{
    if (FILENAME != CurrentFile) {
        CurrentFile = FILENAME
        printf FormFeed
        print "-----------------------------------------"
        print FILENAME
        print ""
        FormFeed = "\f"
    }
    if (Doco == TRUE) {print}
}
