#if (((__TID__ >> 8) & 0x7F) != 90)
#error This file should only be compiled by aa90
#endif

;
; Local Variables
;
; R0 is part of the minimum kernel set (lpm instruction)
;
#define         LeftEncoder     R1      // High Speed Encoder interrupt counters
#define         RightEncoder    R2

#define         _TimQLevel      R15     // Counter for nesting of timer interrupts

#define		RxByte		R16	// Serial IO uses 'ldi/cpi' a lot.
#define		TxByte		R17
;#define         SioFlags        R18    // Gotta use a high register for this one

#define		LCD_PARM	R26
#define		LCD_TMP  	R27	// Used for LCD_IO4

;
; These registers are the minimum set saved by the kernel
; They are always available in any context.  They also happen
; to be either index registers (X, Y & Z), LPM or ADIW (w)
; N.B. R0 is also saved (LPM instruction)
;
#define		Wl 		r24
#define		Wh 		r25
#define		Xl 		r26
#define		Xh 		r27
#define		Yl 		r28
#define		Yh 		r29
#define		Zl 		r30
#define		Zh 		r31
